TanStack

Solid Example: Offline

/* @refresh reload */
import { render } from 'solid-js/web'
import App from './App'
import { worker } from './api'

const root = document.getElementById('root')
if (!root) throw new Error('Missing #root element')

worker.start().then(() => {
  render(
    () => (
      <div style={{ padding: '16px' }}>
        <App />
      </div>
    ),
    root,
  )
})

Docs
CodeRabbit
Cloudflare
Railway
SerpAPI
Clerk
OpenRouter
Netlify
AG Grid
WorkOS
Sentry
Prisma
Electric
Unkey
CodeRabbit
Cloudflare
Railway
SerpAPI
Clerk
OpenRouter
Netlify
AG Grid
WorkOS
Sentry
Prisma
Electric
Unkey

React Example: Offline

import React from 'react'
import ReactDOM from 'react-dom/client'
import App from './App'
import { worker } from './api'

worker.start()

const rootElement = document.getElementById('root')
if (!rootElement) throw new Error('Missing #root element')
ReactDOM.createRoot(rootElement).render(
  <div style={{ padding: '16px' }}>
    <App />
  </div>,
)
import React from 'react'
import ReactDOM from 'react-dom/client'
import App from './App'
import { worker } from './api'

worker.start()

const rootElement = document.getElementById('root')
if (!rootElement) throw new Error('Missing #root element')
ReactDOM.createRoot(rootElement).render(
  <div style={{ padding: '16px' }}>
    <App />
  </div>,
)